Skip to main content

Get batches (paginated)

Get batches (paginated)

Query Parameters
page int32

The page number. The first page has number 0.

Example: 3

pageSize int32

The number of items per page

Example: 10

filter string

Filters batches by their name

Example: Banan

Responses
200

The batches

Schema — OPTIONAL
count int32 — OPTIONAL

The total number of items

pageNumber int32 — OPTIONAL

The current page number. The first page has number 0.

pageSize int32 — OPTIONAL

The number of items per page

items object[] — OPTIONAL

The items on the selected page. May be less than page size on the last page. Is empty for pages after the last page.

batchId uuid — OPTIONAL

The batch id

companyId uuid — OPTIONAL

The id of the company this batch is associated with

name string — OPTIONAL

The batch name

labelCount int32 — OPTIONAL

The total number of labels. Interpretation depends on value of BrandSecureSystem.Frontend.Shared.Labels.SharedLabelBatchModel.WithClosedCode

withClosedCode boolean — OPTIONAL

Whether this batch contains closed codes

status int32 — OPTIONAL

Possible values: [0, 1]

The batch status (locked/unlocked)

articleNumber string — OPTIONAL

An arbitrary article number

orderNumber string — OPTIONAL

An arbitrary order number

createdAt date-time — OPTIONAL

The point in time at which the batch was created

400

An error describing the issue caused by the client

Schema — OPTIONAL
type int32 — OPTIONAL

Possible values: [0, 1, 2, 3, 4]

The type of client error

message string — OPTIONAL

The error message

500

An error describing the server issue

Schema — OPTIONAL
message string — OPTIONAL

The error message